/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2011. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANELDAQ                         1
#define  PANELDAQ_QUIT                    2       /* callback function: Quit */
#define  PANELDAQ_THERM                   3
#define  PANELDAQ_STRIPCHART              4
#define  PANELDAQ_POWER                   5       /* callback function: Power */
#define  PANELDAQ_CLEAR                   6       /* callback function: Clear */
#define  PANELDAQ_SAMPLERATE              7
#define  PANELDAQ_MINIMUM                 8       /* callback function: MinCheck */
#define  PANELDAQ_MAXIMUM                 9       /* callback function: MaxCheck */
#define  PANELDAQ_ALARMLO                 10
#define  PANELDAQ_ALARMHI                 11
#define  PANELDAQ_FILENAME                12
#define  PANELDAQ_ENABLE                  13
#define  PANELDAQ_SELECT                  14      /* callback function: Select */
#define  PANELDAQ_TIMER                   15      /* callback function: Tick */

#define  PANELSEL                         2
#define  PANELSEL_BACK                    2       /* callback function: Back */
#define  PANELSEL_RING                    3


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK Back(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Clear(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK MaxCheck(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK MinCheck(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Power(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Select(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Tick(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
